WelcomeWelcome | FAQFAQ | DownloadsDownloads | WikiWiki

Author Topic: Error-Failed Building Wheel for Cryptography  (Read 166 times)

Offline zaibanar

  • Newbie
  • *
  • Posts: 1
Error-Failed Building Wheel for Cryptography
« on: January 19, 2021, 09:22:04 PM »
Im using the Coreplus 11.1 on VMware workstation. I am trying to install the SET tool (which is a kali linux tool)  in the tiny core. Im using python3.6. Im running these commands

git clone newbielink:https://github.com/trustedsec/social-engineer-toolkit/ [nonactive] setoolkit/
This command runs fine

pip3 install -r requirements.txt
this command gives the "Failed Building Wheel for Cryptography" error
It also gives the error "limit.h: No such file or directory found"

This is the image of the error
newbielink:https://ibb.co/9WMN8Bq [nonactive]


I have installed gcc, python3.6-dev, regex, libssl-dev but it still gives the same error. I also upgraded pip3 to the latest version but it still gives an error. Can someone please tell why is this happening?


Online Rich

  • Administrator
  • Hero Member
  • *****
  • Posts: 8788
Re: Error-Failed Building Wheel for Cryptography
« Reply #1 on: January 19, 2021, 09:42:53 PM »
Hi zaibanar
Welcome to the forum.

Try installing  compiletc  so you have a complete toolchain.